Skip to main content

Get Entitlement Skus

GET 

/v1/sandbox/:sandbox_id/entitlement-sku

Get Entitlement Skus by filters. All filters must be true for an Entitlement Sku to be returned. Requires any of permissions: sandbox:config:view, sandbox:config:edit

Request

Path Parameters

    sandbox_id uuidrequired

    Sandbox ID

Query Parameters

    entitlement_sku_ids uuid[]

    Entitlement Sku IDs to filter by

    loot_ids uuid[]

    Filter by Entitlement Sku with matching Loot IDs

    types Entitlement Type[]

    Possible values: [consumable, durable, durable_single_use]

    Filter by Entitlement Sku with matching Loot Entitlement types

    external_key_campaign_ids uuid[]

    Filter by Entitlement Sku with matching External Key Campaign IDs

    platforms Platform[]

    Possible values: [Anon, Basic, XboxLive, PSN, NintendoNAID, NintendoSwitch, NintendoPPID, Google, GooglePlay, Apple, Epic, Steam, Amazon, Twitch, RallyHere, LegacyName]

    Filter by Entitlement Sku with matching platforms

    skus string[]

    Filter by Entitlement Sku with matching SKUs

    name Name

    Possible values: non-empty and <= 50 characters

    Filter by case insensitive name

    last_modified_account_ids uuid[]

    Filter by last modified account ID

    sort_by any

    Sort results by

    sort_order any

    Sort order

    cursor Cursor

    Possible values: non-empty and <= 128 characters

    Default value: 0

    Cursor to designate where you are in iterating through values. Start with '0', and pass this on subsequent calls to continue iteration

    page_size Page Size

    Possible values: >= 1 and <= 10000

    Default value: 50

    The maximum number of elements to be returned per call

    expand ExpandProperty[]

    Possible values: [*, legacy_id]

    Resources to expand and fill in additional detail

Responses

Successful Response

Schema

    data

    object[]

    The Entitlement Skus.

  • Array [

  • last_modified_account_id uuid

    Account ID of the user who last modified the resource

    last_modified_timestamp date-time

    Timestamp of when the resource was last modified

    created_timestamp date-time

    Timestamp of when the resource was created

    custom_data

    object

    Custom data associated with the resource

    property name* string
    name Name (string)

    Possible values: non-empty and <= 125 characters

    Name of the resource

    description Description (string)

    Possible values: <= 250 characters

    Description of the resource

    platform Platform (string)required

    Possible values: [Anon, Basic, XboxLive, PSN, NintendoNAID, NintendoSwitch, NintendoPPID, Google, GooglePlay, Apple, Epic, Steam, Amazon, Twitch, RallyHere, LegacyName]

    An enumeration.

    loot_entitlement

    object

    Represents the mapping of an External SKU to a Loot that will be granted to the player when the player has a matching sku

    type Entitlement Type (string)required

    Possible values: [consumable, durable, durable_single_use]

    Determine how the entitlement is handled on the Platform's side.

    loot_id uuidrequired

    The Loot ID granted when this SKU is received.

    refund_loot_id uuid

    The Loot ID granted when this SKU is refunded by the platform. Currently only supported on PSN

    chargeback_loot_id uuid

    The Loot ID granted when this SKU is charged back by the platform. Currently only supported on PSN

    chargeback_reversal_loot_id uuid

    The Loot ID granted when this SKU has a charged back reversed by the platform. Currently only supported on PSN

    loot_name Loot Name (string)

    The Loot Name. Only included when Loot is expanded.

    legacy_loot_id Legacy Loot Id (integer)

    The Legacy Loot ID granted when this SKU is received

    refund_loot_name Refund Loot Name (string)

    The Refund Loot Name. Only included when Loot is expanded

    refund_legacy_loot_id Refund Legacy Loot Id (integer)

    The Legacy Loot ID granted when this SKU is refunded by the platform. Currently only supported on PSN

    chargeback_loot_name Chargeback Loot Name (string)

    The Chargeback Loot Name. Only included when Loot is expanded

    chargeback_legacy_loot_id Chargeback Legacy Loot Id (integer)

    The Legacy Loot ID granted when this SKU is charged back by the platform. Currently only supported on PSN

    chargeback_reversal_loot_name Chargeback Reversal Loot Name (string)

    The Chargeback Reversal Loot Name. Only included when Loot is expanded

    chargeback_reversal_legacy_loot_id Chargeback Reversal Legacy Loot Id (integer)

    The Legacy Loot ID granted when this SKU has a charged back reversed by the platform. Currently only supported on PSN

    external_key_entitlement

    object

    Represents the mapping of an External SKU to a External Key that will be granted to the player when the player has a matching sku.

    external_key_campaign_id uuidrequired

    The External Key Campaign ID.

    quantity Quantity (integer)required

    Possible values: > 0

    The quantity of keys to grant to the player.

    external_key_campaign_name External Key Campaign Name (string)

    The External Key Campaign Name. Only included when External Key Campaign is expanded.

    sku Sku (string)required

    Possible values: non-empty and <= 256 characters

    The External SKU.

    is_receipt Is Receipt (boolean)

    Whether this SKU is a receipt SKU.

    sandbox_id uuid

    ID of the Sandbox

    entitlement_sku_id uuidrequired

    The Entitlement Sku ID.

  • ]

  • page_meta

    object

    required

    cursor Cursor (string)required

    Possible values: non-empty and <= 128 characters

    Cursor to designate where you are in iterating through values. Start with '0', and pass this on subsequent calls to continue iteration

    page_size Page Size (integer)

    Possible values: >= 1 and <= 10000

    Default value: 50

    The maximum number of elements to be returned per call

    total Total (integer)

    Default value: 0

    The total number of entities.

Loading...